# pc-autoinstall.conf example
# $FreeBSD: src/usr.sbin/pc-sysinstall/examples/pc-autoinstall.conf,v 1.1 2010/06/24 22:21:47 imp Exp $
#
# Usage: Modify these variables, and copy the file to 
# /boot/pc-autoinstall.conf on your PC-BSD installation medium
#
# The conf will then be read at bootup, and your automated
# install will take place
##################################################################

# Where the pc-sysinstall main config is located
# Can be either a file on the booted CD / DVD / USB media, 
# or a remote file on http / ftp
#
# The value %%NIC_MAC%% is special, and will be substituted with 
# the macaddress of the enabled NIC from DHCP or manually set
# with 'nic_config:'
##################################################################

# Examples:
# pc_config: ftp://192.168.0.2/cust-install.cfg
# pc_config: http://192.168.0.2/cust-install.cfg
# pc_config: http://192.168.0.2/%%NIC_MAC%%.cfg
# pc_config: /boot/cust-install.cfg

# Set this to yes if we should confirm before doing an install
# This should normally be set to yes, otherwise booting the wrong
# disk will result in a system wipe
# confirm_install: no 
confirm_install: yes

# Set the command to run post-install, usually best to run shutdown
# but this can be replaced with any other command / script you wish
# to execute post-install
# shutdown_cmd: shutdown -p now

# Options for the network setup, should the cfg need to be fetched
# from a remote location, only necessary when using ftp or http
##################################################################

# Special option, will attempt dhcp on all found NICs
# until the file can be fetched, or we run out of interfaces
# nic_config: dhcp-all

# Line to be passed to the "ifconfig" command to bring up an interface
# nic_config: em0 192.168.0.101 255.255.255.0

# DNS server to use
# nic_dns: 192.168.0.1

# Default router / gateway
# nic_gateway: 192.168.0.1
